Subject: Re: RFC: on [ab]use of skb->cb by VLAN code

From: Roland Dreier <[email-masked]>
Date: Tue, 31 Jul 2007 10:50:15 -0700

> > Do we really need an 'unsigned int' for mac_len?  Maybe we could use
 > > a 16-bit counter here, and then use the other 16 bits for the VLAN bits?
 > 
 > Not knowing exactly if/how it interacts with that specific field I
 > will point-out that IPoIB in OFED 1.2 just took their MTU to 65520.
 > While that doesn't break the bitbank it does get rather close.

Leaving aside OFED releases, the IPoIB connected mode code in the
standard kernel also allows the MTU to go up to 65520.  And there's
nothing magic about that value -- we could easily do bigger packets.

However, this is irrelevant for two reasons: mac_len is the length of
the LL header, not the packet overall, *and* mac_len is already 16
bits as of commit 334a8132.

 - R.